=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
https://www.apache.org/dist/subversion/subversion-(\d+.\d+.\d+).tar.gz
