## subversion 1.10.0~rc1

=== debian/changelog ===
subversion (1.10.0~rc1-2) experimental; urgency=medium

  * libsvn1.symbols: Use 1.10, not 1.10~rc1, for the new symbols
  * Mark libsvn-perl Multi-Arch: same

 -- James McCoy <jamessan@debian.org>  Fri, 02 Mar 2018 08:28:39 -0500

subversion (1.10.0~rc1-1) experimental; urgency=medium

  * debian/control:
    + Actually drop quilt Build-Depends
    + Change Vcs-* to salsa.d.o
    + Declare compliance with Policy 4.1.3, no changes needed
    + Bump debhelper compat to 11
    + Switch default-jdk Build-Depends to headless variant
  * debian/rules:
    + Disable parallelization for local-install target
    + Avoid errors trying to delete RPATH from non-ELF files
    + Move install-related dh_* commands to the install targets
  * New upstream release
    + Fix spurious E160016 error with fsfs repository when operative and peg
      revisions differ.  (Closes: #880593)
    + Add liblz4-dev and libutf8proc-dev to Build-Depends
    + Remove ruby-typemap-digest patch, merged upstream
    + Remove no-extra-libs/no-extra-libs-2 patches, as they provided marginal
      benefit and were unnecessary divergence from upstream
    + Switch from libgnome-keyring to libsecret for GNOME keyring support
      (Closes: #867918)
    + Switch to KDE Frameworks 5 wallet support (Closes: #883593)
    + Update svn_load_dirs, emacs extensions, svn-clean, and
      svn_apply_autoprops from upstream's contrib/
      - svn_apply_autoprops now understands -h and --help (Closes: #606638)
  * Remove svn-fast-backup from subversion-tools.  It was removed upstream
    years ago and is unmaintained.
  * Update libsvn1.symbols for 1.10
  * Distribute NOTICE file to satisfy Apache license requirements
  * Fix ruby-script-but-no-ruby-dep lintian override by adding a wildcard to
    the end.
  * libsvn-doc: Use dh_installdocs instead of manual install commands
  * Turn libsvn-dev's /u/s/d/libsvn-dev → libsvn1 symlink into a directory
  * Turn libsvn-java's /u/s/d/libsvn-java → libsvn1 symlink into a directory

 -- James McCoy <jamessan@debian.org>  Thu, 01 Mar 2018 22:54:18 -0500
