## subversion 1.10.0

=== debian/changelog ===
subversion (1.10.0-2ubuntu2) cosmic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build a python-subversion-dbg package.
    - Build-depend on python-all-dbg.
    - debian/patches/verbose-tests: Make tests verbose.
    - debian/rules: add verbosity level to --with-ruby-test-verbose
      configure argument as the ruby swig test errors out without a
      specific level

 -- Matthias Klose <doko@ubuntu.com>  Sun, 29 Jul 2018 04:58:30 +0200

subversion (1.10.0-2) unstable; urgency=medium

  * Build native java bindings using javac instead of javah.
    Thanks to Emmanuel Bourg (Closes: #897555)

 -- James McCoy <jamessan@debian.org>  Sat, 16 Jun 2018 10:00:22 -0400

subversion (1.10.0-1) unstable; urgency=medium

  * Upload new upstream release to unstable
  * control: Adjust debhelper Build-Depends to ease backporting

 -- James McCoy <jamessan@debian.org>  Wed, 18 Apr 2018 12:29:55 -0400

subversion (1.10.0~rc2-1) experimental; urgency=medium

  * New upstream pre-release
    + Fix test failure on alpha due to unaligned memory access. (Closes:
      #823133)
  * control: Set Rules-Requires-Root to no
  * dav_svn.conf: Clarify wording about SVNPath/SVNParentPath (LP: #917147)
  * Enable libsvn-java on ia64
  * Update upstream signing keys
  * rules:
    + Move install-javahl-java rule to install-arch
    + Ensure Perl binding shared libs are writable before deleting RPATH
  * subversion-tools: Change exim4 | m-t-a Recommends to default-mta | m-t-a
  * Declare compliance with Policy 4.1.4, no changes required

 -- James McCoy <jamessan@debian.org>  Sat, 07 Apr 2018 11:09:43 -0400
