=== debian/rules ===
--- 
+++ 
@@ -66,6 +66,15 @@
 		pylib=$$(python$$v -c 'from distutils import sysconfig; print sysconfig.get_python_lib()'); \
 		$1; \
 		ln -sfT python$(PYDEFAULT) $(PY_DIR); \
+	done
+
+allpydbg = \
+	set -e; for v in $(PYVERSIONS); do \
+		$(RM) $(PY_DIR); \
+		ln -fs python$$v-dbg $(PY_DIR); \
+		pyinc=$$(python$$v-dbg-config --includes); \
+		pylib=$$(python$$v-dbg -c 'from distutils import sysconfig; print sysconfig.get_python_lib()'); \
+		$1; \
 	done
 
 libdir = /usr/lib/$(DEB_HOST_MULTIARCH)
@@ -84,6 +93,7 @@
 		--with-sasl=/usr \
 		--with-editor=/usr/bin/editor \
 		--with-ruby-sitedir=/usr/lib/ruby \
+		--with-ruby-test-verbose=verbose \
 		--with-swig=/usr/bin/swig \
 		--with-kwallet=/usr/include:$(libdir) \
 		--with-lz4 \
@@ -175,6 +185,9 @@
 	for v in $(PYVERSIONS); do \
 		cp -la $(PY_DIR) $(PY_DIR)$$v; \
 	done
+	for v in $(PYVERSIONS); do \
+		cp -la $(PY_DIR) $(PY_DIR)$$v-dbg; \
+	done
 	$(RM) -r $(PY_DIR)
 	# $(PY_DIR) always needs to exist to avoid the upstream Makefiles from
 	# trying to re-create it
@@ -198,8 +211,14 @@
 	$(MAKE) -C $(PERL_DIR) test MAN3EXT=3perl LC_ALL=C
 
 check-swig-py: debian/stamp-build-arch
+	@echo checking swig-py with optimized interpreter
 	$(call allpy, \
 	  $(MAKE_B) $@ PYTHON=python$$v PYVER=$$v $(check_defs))
+	@echo checking swig-py with debug interpreter
+	$(call allpydbg, \
+	  $(MAKE_B) $@ PYTHON=python$$v-dbg PYVER=$${v}_d \
+		PYTHON_INCLUDES="$$pyinc" $(check_defs)) \
+	 || true
 
 build-arch: debian/stamp-build-arch
 debian/stamp-build-arch: debian/stamp-configure
@@ -208,6 +227,8 @@
 
 	# note: autogen-swig does not support -jN
 	$(call allpy, $(MAKE_B) -j1 autogen-swig)
+	$(call allpydbg, $(MAKE_B) -j1 autogen-swig)
+	ln -sf python$(PYDEFAULT) $(PY_DIR)
 	+$(MAKE_B) all tools
 	# Run svn once, to make sure it populates $(HOME)/.subversion/*
 	env LD_LIBRARY_PATH="$(AUTH_LIB_DIRS):$(LD_LIBRARY_PATH)" $(DEB_BUILDDIR)/subversion/svn/svn --version > /dev/null
@@ -215,26 +236,3 @@
 	  $(MAKE_B) swig-py PYTHON=python$$v PYVER=$$v \
 	            PYTHON_INCLUDES="$$pyinc" \
 	            swig_pydir=$$pylib/libsvn swig_pydir_extra=$$pylib/svn)
-	# note: swig-pl seems to have trouble with -jN
-	+$(MAKE_B) -j1 swig-pl MAN3EXT=3perl
-	$(MAKE) -C $(PERL_DIR) all \
-		MAN3EXT=3perl OPTIMIZE="-g -Wall $(CFLAGS)"
-ifdef DEB_OPT_WITH_RUBY
-	+$(MAKE_B) swig-rb $(rb_defs)
-endif
-ifdef DEB_OPT_WITH_JAVAHL
-	+$(MAKE_B) -j1 javahl
-endif
-
-	# Need to touch the stamp file here so the check-* targets
-	# don't try to build this target again
-	touch $@
-
-ifndef DEB_OPT_NOCHECK
-	@echo "###################################################"
-	@echo "Running testsuite - may take a while.  To disable,"
-	@echo "use DEB_BUILD_OPTIONS=nocheck or edit debian/rules."
-	@echo
-	$(MAKE) -f debian/rules $(check_swig)
-
-  ifdef DEB_OPT_WITH_JAVAHL
