## subversion 1.10.2

=== debian/changelog ===
subversion (1.10.2-1) unstable; urgency=medium

  * New upstream release
  * Switch to dgit-maint-debrebase(7) workflow
  * debian/tests: Use $AUTOPKGTEST_TMP if $ADTTMP is not set
  * debian/tests: Add a basic test for svnserve

 -- James McCoy <jamessan@debian.org>  Sat, 04 Aug 2018 12:28:03 -0400
