=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
                autoconf,
                bash-completion,
                chrpath,
-               debhelper (>= 11),
+               debhelper (>= 11~),
                default-jdk-headless (>= 2:1.6) [!hurd-i386 !hppa !sparc],
                dh-apache2,
                dh-python,
@@ -36,10 +36,11 @@
                swig,
                zlib1g-dev
 Build-Conflicts: libsvn-dev (<< 1.10~)
+Rules-Requires-Root: no
 Homepage: http://subversion.apache.org/
-Vcs-Git: https://salsa.debian.org/jamessan/subversion.git -b debian/experimental
+Vcs-Git: https://salsa.debian.org/jamessan/subversion.git
 Vcs-Browser: https://salsa.debian.org/jamessan/subversion
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 
 Package: subversion
 Architecture: any
@@ -121,7 +122,7 @@
 Package: subversion-tools
 Architecture: any
 Depends: subversion, ${misc:Depends}, ${shlibs:Depends}
-Recommends: exim4 | mail-transport-agent,
+Recommends: default-mta | mail-transport-agent,
             libconfig-inifiles-perl,
             libsvn-perl,
             liburi-perl,
