## subversion 1.10.3

=== debian/changelog ===
subversion (1.10.3-1) unstable; urgency=medium

  * Update to new upstream version 1.10.3.
  * lintian:
    + Update libapache2-mod-svn override due to tag being renamed
    + Add libsvn1 override for package-name-doesnt-match-sonames
  * libsvn-{java,dev}: Use absolute target path for symlink_to_dir calls
    (Closes: #910233)
  * rules: Allow quiet builds when DEB_BUILD_OPTIONS=terse
  * Declare compliance with Policy 4.2.1
  * libsvn-java: Remove obsolete libsvn-jni Conflicts/Replaces
  * Update release notes

 -- James McCoy <jamessan@debian.org>  Sat, 20 Oct 2018 14:27:55 -0400
