=== debian/control ===
--- 
+++ 
@@ -40,7 +40,7 @@
 Homepage: http://subversion.apache.org/
 Vcs-Git: https://salsa.debian.org/jamessan/subversion.git
 Vcs-Browser: https://salsa.debian.org/jamessan/subversion
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 
 Package: subversion
 Architecture: any
@@ -153,8 +153,6 @@
 Section: java
 Architecture: any
 Depends: libsvn1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
-Conflicts: libsvn-jni
-Replaces: libsvn-jni
 Description: Java bindings for Apache Subversion
  This is a set of Java classes which provide the functionality of
  libsvn, the Apache Subversion libraries.  It is useful if you want to,
