## subversion 1.10.4

=== debian/changelog ===
subversion (1.10.4-1+deb10u3) buster-security; urgency=high

  * Security Fixes:
    - CVE-2021-28544: Don't show unreadable copyfrom paths in 'svn log -v'
    - CVE-2022-24070: Fix issue #4880 "Use-after-free of object-pools when
      used as httpd module"

 -- James McCoy <jamessan@debian.org>  Wed, 06 Apr 2022 21:09:19 -0400

subversion (1.10.4-1+deb10u2) buster-security; urgency=high

  * Backport security fixes from upstream:
    + CVE-2020-17525: Remote unauthenticated denial-of-service in Subversion
      mod_authz_svn  (Closes: #982464)

 -- James McCoy <jamessan@debian.org>  Wed, 10 Feb 2021 15:15:45 -0500

subversion (1.10.4-1+deb10u1) buster-security; urgency=high

  * Backport security fixes from upstream:
    + CVE-2018-11782: Remotely triggerable DoS vulnerability in svnserve
      'get-deleted-rev'.
    + CVE-2018-0203: Remote unauthenticated denial-of-service in Subversion
      svnserve.

 -- James McCoy <jamessan@debian.org>  Sat, 27 Jul 2019 22:44:06 -0400

subversion (1.10.4-1) unstable; urgency=medium

  * Update to new upstream version 1.10.4  (Closes: #919767)
    + Security fix
      - CVE-2018-11803: Malicious SVN clients can crash mod_dav_svn
  * d/copyright: Convert to copyright format 1.0
  * Replace hand-written postinst/rm with maintscript helper
  * lintian: Minimize the upstream signing key
  * Declare compliance with Policy 4.3.0, no changes needed

 -- James McCoy <jamessan@debian.org>  Tue, 22 Jan 2019 22:41:34 -0500
