## subversion 1.10.4.1

=== debian/changelog ===
subversion (1.10.4.1-1+dde) unstable; urgency=medium

  * update

 -- James McCoy <jamessan@debian.org>  Fri, 30 Apr 2021 13:33:22 +0800

subversion (1.10.4.1-1+dde) buster; urgency=medium

  * Non-maintainer upload.
  * fix CVE-2020-17525

 -- zhouzilong <zhouzilong@uniontech.com>  Fri, 02 Apr 2021 18:09:54 +0800
