## subversion 1.10.6

=== debian/changelog ===
subversion (1.10.6-1) unstable; urgency=medium

  * Update to new upstream version 1.10.6.
    + Security fix
      - CVE-2018-11782: Remotely triggerable DoS vulnerability in svnserve
        'get-deleted-rev'
      - CVE-2019-0203: Remote unauthenticated denial-of-service in Subversion
        svnserve
  * Support a pkg.subversion.nokde build profile.
    Thanks to Jason Duerstock for the patch (Closes: #929326)

 -- James McCoy <jamessan@debian.org>  Wed, 31 Jul 2019 07:01:38 -0400
