=== debian/control ===
--- 
+++ 
@@ -17,9 +17,9 @@
                libdb5.3-dev,
                libdbus-1-dev,
                liblz4-dev (>= 0.0~r129),
-               libkf5coreaddons-dev,
-               libkf5i18n-dev,
-               libkf5wallet-dev,
+               libkf5coreaddons-dev <!pkg.subersion.nokde>,
+               libkf5i18n-dev <!pkg.subersion.nokde>,
+               libkf5wallet-dev <!pkg.subersion.nokde>,
                libperl-dev,
                libsasl2-dev,
                libsecret-1-dev,
@@ -40,7 +40,7 @@
 Homepage: http://subversion.apache.org/
 Vcs-Git: https://salsa.debian.org/jamessan/subversion.git
 Vcs-Browser: https://salsa.debian.org/jamessan/subversion
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 
 Package: subversion
 Architecture: any
