=== debian/rules ===
--- 
+++ 
@@ -45,6 +45,10 @@
   $(if $(findstring =,$o), $(eval DEB_OPT_$o), $(eval DEB_OPT_$o := 1)))
 $(foreach o, $(filter NO_%,$(d_b_o)), $(eval DEB_OPT_$(subst NO_,WITH_,$o) :=))
 $(if $(DEB_OPT_PARALLEL),$(eval MAKEFLAGS += -j$(DEB_OPT_PARALLEL)))
+
+ifndef DEB_OPT_TERSE
+  MAKE_B += LTFLAGS="--tag=CC" LTCXXFLAGS="--tag=CXX"
+endif
 
 # How to fix "#!/usr/bin/env " lines:  $(call fix_shebangs_in, /your/dir)
 fix_shebangs_in = \
@@ -85,7 +89,6 @@
 		--with-editor=/usr/bin/editor \
 		--with-ruby-sitedir=/usr/lib/ruby \
 		--with-swig=/usr/bin/swig \
-		--with-kwallet=/usr/include:$(libdir) \
 		--with-lz4 \
 		--with-utf8proc \
 		CFLAGS="$(CFLAGS)" \
@@ -96,6 +99,10 @@
 
 ifdef DEB_OPT_DEBUG
   confflags+= --enable-debug
+endif
+
+ifeq ($(filter pkg.subversion.nokde,$(DEB_BUILD_PROFILES)),)
+  confflags += --with-kwallet=/usr/include:$(libdir)
 endif
 
 export DH_OPTIONS
@@ -232,8 +239,3 @@
 
 ifndef DEB_OPT_NOCHECK
 	@echo "###################################################"
-	@echo "Running testsuite - may take a while.  To disable,"
-	@echo "use DEB_BUILD_OPTIONS=nocheck or edit debian/rules."
-	@echo
-	$(MAKE) -f debian/rules $(check_swig)
-
